## fsl 5.0.7

=== src/avwutils/Makefile ===

include ${FSLCONFDIR}/default.mk

PROJNAME = avwutils

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lprob -lfslio -lnewmat -lutils -lniftiio -lznz -lm -lz

IOLIBS = -lfslio -lniftiio -lznz -lm -lz

XFILES = fslorient fslstats fslmerge \
         fslpspec fslroi fslnvols fsl2ascii fslascii2img  \
         fslsplit fslcc fslinterleave \
         fslhd fslcpgeom fslcreatehd fslcorrecthd fslmaths \
         fslcomplex fslfft fslmeants fslslice fslswapdim_exe fslchfiletype_exe calc_grad_perc_dev fslsmoothfill

SCRIPTS = fslval fslchpixdim fslanimate fslsize sliceanimate fslinfo fsledithd avw2fsl fslswapdim fslchfiletype fslreorient2std fslmodhd fsladd

FSCRIPTS = fmriborient 

all: ${XFILES}

fslstats: fslstats.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslstats.o ${LIBS} 

fslfft: fslfft.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslfft fslfft.cc ${LIBS}

fslmeants: fslmeants.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslmeants fslmeants.cc ${LIBS}

avwfixfloat: avwfixfloat.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o avwfixfloat avwfixfloat.cc ${LIBS}

fslcomplex: fslcomplex.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslcomplex fslcomplex.cc ${LIBS}

fslswapdim_exe: fslswapdim.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslswapdim_exe fslswapdim.o ${LIBS} 

fslorient: fslorient.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslorient.o ${LIBS} 

fslslice: fslslice.cc
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslslice fslslice.cc ${LIBS}

fslpspec: fslpspec.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslpspec.o ${LIBS} 


#start of matts c++ rewrites
fslroi: fslroi.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslroi.o ${LIBS}

fslnvols: fslnvols.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslnvols.o ${LIBS}

fsl2ascii: fsl2ascii.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsl2ascii.o ${LIBS}

fslascii2img: fslascii2img.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslascii2img.o ${LIBS}

fslsplit: fslsplit.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsplit.o ${LIBS}

fslmerge: fslmerge.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmerge.o ${LIBS}

fslcc: fslcc.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcc.o ${LIBS}

fslinterleave: fslinterleave.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslinterleave.o ${LIBS}

fslhd: fslhd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslhd.o ${LIBS}

fslcpgeom: fslcpgeom.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcpgeom.o ${LIBS}

fslcorrecthd: fslcorrecthd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcorrecthd.o ${LIBS}

fslcreatehd: fslcreatehd.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslcreatehd.o ${LIBS}

fslmaths: fslmaths.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslmaths.o ${LIBS}

fsldecorr4d: fsldecorr4d.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fsldecorr4d.o ${LIBS}

fslchfiletype_exe: fslchfiletype.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o fslchfiletype_exe fslchfiletype.o ${LIBS}

calc_grad_perc_dev: calc_grad_perc_dev.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o calc_grad_perc_dev calc_grad_perc_dev.o ${LIBS}

fslsmoothfill: fslsmoothfill.o
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsmoothfill.o ${LIBS}

=== src/fast4/Makefile ===
# A Makefile for the fast_two project

include ${FSLCONFDIR}/default.mk

PROJNAME = fast4

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscmaths -lfslio -lniftiio -lutils -lnewmat -lznz -lm -lz

SOBJS = ${NOBJS} fast_two.o mriseg_two.o multi_mriseg_two.o

XFILES = fast

RUNTCLS = Fast

all: ${XFILES}


fast: ${SOBJS}
	$(CXX)  ${CXXFLAGS} ${LDFLAGS} -o $@ ${SOBJS} ${LIBS}

=== src/fnirt/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME=fnirt

USRINCFLAGS=-I${INC_NEWMAT} -I${INC_BOOST} 
USRLDFLAGS=-L${LIB_NEWMAT} 

FNIRT_OBJS=fnirt_costfunctions.o intensity_mappers.o matching_points.o fnirtfns.o fnirt.o
INTMAP_OBJS=fnirt_costfunctions.o fnirtfns.o intensity_mappers.o matching_points.o mapintensities.o
INVWARP_OBJS=new_invwarp.o
LIBS=-lwarpfns -lmeshclass -lbasisfield -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lutils -lnewmat -lm -lz

XFILES=fnirt new_invwarp

all: ${XFILES} config

config:
	@if [ ! -d ${DESTDIR}/etc ] ; then ${MKDIR} ${DESTDIR}/etc ; ${CHMOD} g+w ${DESTDIR}/etc ; fi
	@if [ ! -d ${DESTDIR}/etc/flirtsch ] ; then ${MKDIR} ${DESTDIR}/etc/flirtsch ; ${CHMOD} g+w ${DESTDIR}/etc/flirtsch ; fi
	${CP} -rf fnirtcnf/* ${DESTDIR}/etc/flirtsch/.

fnirt: ${FNIRT_OBJS}
	${CXX} ${LDFLAGS} -o fnirt ${FNIRT_OBJS} ${LIBS}

new_invwarp: ${INVWARP_OBJS}
	${CXX} ${LDFLAGS} -o new_invwarp ${INVWARP_OBJS} ${LIBS}

mapintensities: ${INTMAP_OBJS}
	${CXX} ${LDFLAGS} -o mapintensities ${INTMAP_OBJS} ${LIBS}

=== src/libmeshutils/Makefile ===
# $Id: Makefile,v 1.19 2012/07/23 13:25:20 mwebster Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = meshUtils

LD_LIBRARY_PATH=${FSLDIR}/lib

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB} -I${INC_PROB} -I${INC_BOOST} 
USRLDFLAGS =  -L${LIB_PROB} -L${LIB_NEWMAT} -L${LIB_ZLIB}

BUILT_VTKCONV = $(shell [ -f ../../libfslvtkconv* ]; echo $$?)

ifeq ($(BUILT_VTKCONV), 0)
	USRINCFLAGS+=-I${VTKDIR_INC}
endif

ifeq ($(BUILT_VTKCONV), 0)
        USRLDFLAGS+=-L${VTKDIR_LIB}
endif

LIBS+=-lwarpfns -lbasisfield -lfslvtkio -lMVdisc

ifeq ($(BUILT_VTKCONV), 0)
        LIBS+=-lfslvtkconv 
endif

LIBS+=-lfirst_lib -lshapeModel -lmeshclass -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lutils -lnewmat  -lz

SWOBJS=meshUtils.o
RMUOBJS=meshUtils.o run_mesh_utils.o
XFILES=run_mesh_utils

all: meshUtils.a ${XFILES}

meshUtils.a: ${SWOBJS} 
	${AR} -r libmeshUtils.a  ${SWOBJS}
	@${MAKE} libinstall

run_mesh_utils: ${RMUOBJS}
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RMUOBJS} ${LIBS}

=== src/libvis/Makefile ===
# A Makefile for miscplot

include ${FSLCONFDIR}/default.mk

PROJNAME = libvis

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} -I${INC_ZLIB} -I${INC_BOOST}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG} -L${LIB_ZLIB}

LIBS = -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lprob -lm  -lgdc -lgd -lpng -lz
CXXFLAGS += -std=c++98

PLOTOBJS =  miscplot.o  

PICOBJS  =  miscpic.o

TOBJS = test.o  

TESTXFILES = test

all: miscplot miscpic

miscplot: ${PLOTOBJS}
	${AR} -r libmiscplot.a ${PLOTOBJS}

miscpic: ${PICOBJS}
	${AR} -r libmiscpic.a ${PICOBJS}

test: ${TOBJS}
	$(CXX) ${CXXFLAGS} ${LDFLAGS} -o $@ ${TOBJS} ${LIBS}

=== extras/src/cprob/CMakeLists.txt ===
SET(LIBPROB_SOURCES
  bdtr.c btdtr.c chdtr.c drand.c fdtr.c gamma.c gdtr.c igam.c
  igami.c incbet.c incbi.c mtherr.c nbdtr.c ndtr.c ndtri.c pdtr.c
  stdtr.c unity.c polevl.c const.c)

ADD_LIBRARY(prob STATIC ${LIBPROB_SOURCES})

IF(FSL_BUILD)
  INSTALL_FILES(/extras/include/libprob .*\\.h$)
  INSTALL_TARGETS(/extras/lib prob)
ENDIF(FSL_BUILD)

=== debian/changelog ===
fsl (5.0.7-4) unstable; urgency=medium

  * Fix FTBFS on kfreebsd: Disable 'stack_dump' component that is "highly
    non-portable" and can be replaced, if necessary, with plain gdb.
  * Fix another bashism in the *monitor script generated by bedpostx.

 -- Michael Hanke <mih@debian.org>  Wed, 23 Jul 2014 08:01:53 +0200

fsl (5.0.7-3) unstable; urgency=medium

  * Improve FSL's build configuration to not treat any non-Linux platform
    as a Mac (Closes: #755356).

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jul 2014 11:36:26 +0200

fsl (5.0.7-2) unstable; urgency=low

  * Add a patch to make randomise_parallel work on systems that do not have
    bash as their default shell (Closes: #693373). Thanks to Philip Chase for
    the patch.
  * Add a patch to honor an unset FSLPARALLEL (do not submit jobs to a
    cluster) even in cases where SGE_ROOT is set (Closes: #685757). Thanks to
    German Gomez-Herrero for the patch.
  * Sanitize PATH and LD_LIBRARY_PATH when sourcing the configuration file.
    Old/duplicate FSL path entries are now removed (Closes: #695257). Thanks
    to Vincent Kersten for the patch.

 -- Michael Hanke <mih@debian.org>  Thu, 17 Jul 2014 15:44:44 +0200

fsl (5.0.7-1) unstable; urgency=medium

  * New upstream release.
    - new component: gps
  * Remove the documentation from the source package due to a number of files
    with unclear origin and license. Consequently, the -doc has been removed
    as well. Upstream confirms that documentation is best consumed from the
    live wiki on the project homepage.
  * Move the -gpu package setup into a patch that can be applied to backports
    to particular releases. The current Debian unstable doesn't have a
    functional nvcc and it is i386 and amd64 only anyway.
  * Cleanup and remove old and merged patches.
  * Bumped Standard version to 3.9.5 -- no changes necessary.

 -- Michael Hanke <mih@debian.org>  Fri, 11 Jul 2014 17:22:13 +0200

=== debian/control ===
Source: fsl
Section: non-free/science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7),
               zlib1g-dev (>= 1.2.2),
               libboost-dev (>= 1.32.0),
               libpng-dev | libpng12-dev (>= 1.2.8rel),
               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
               libnewmat10-dev,
               libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
               liboctave-dev | octave3.2-headers | octave3.0-headers,
               tcl (>=8.4.7),
               imagemagick,
               libnifti-dev (>> 1.1.0-1),
               libgiftiio-dev,
               mesa-common-dev,
               libexpat1-dev | libexpat-dev,
               libglu1-mesa-dev | libglu-dev,
               libgomp1,
Standards-Version: 3.9.5
Homepage: http://www.fmrib.ox.ac.uk/fsl/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
XS-Autobuild: yes

Package: fsl
Architecture: all
Depends: fsl-core,
         ${misc:Depends},
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new 'fsl-core'
 package which replaces 'fsl'. This package can safely be removed.
 .
 Users aiming to perform a complete FSL installation (including all data
 components) are advised to install the 'fsl-complete' package from
 NeuroDebian.

Package: fsl-5.0
Architecture: all
Depends: fsl-5.0-core,
         ${misc:Depends}
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new
 'fsl-5.0-core' package which replaces 'fsl-5.0'.
 This package can safely be removed.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.

Package: fsl-core
Architecture: all
Depends:  fsl-5.0-core,
          ${misc:Depends},
Replaces: fsl (<< 5.0.3)
Breaks: fsl (<< 5.0.3)
Description: metapackage for the latest version of FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL installation (including
 all data components) are advised to install the 'fsl-complete'
 package from NeuroDebian.

Package: fsl-5.0-core
Architecture: any
Replaces: fsl-5.0 (<< 5.0.3)
Breaks: fsl-5.0 (<< 5.0.3)
Depends: mozilla-firefox | www-browser,
         tcsh | c-shell,
         tk (>=8.4.7),
         tcl (>=8.4.7),
         bc,
         dc,
         python,
         fslview,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: fsl-atlases
Suggests: fsl-feeds,
          fsl-5.0-gpu,
          octave | ${octave:Depends},
          mriconvert | dicomnifti,
          fsl-complete,
          condor | gridengine-client
Conflicts: fsl-fslview,
           fsl-doc-4.1 (<< 4.1.9-5~)
Provides: fsl
Description: analysis tools for FMRI, MRI and DTI brain imaging
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.
 .
 FSL interoperates well with other brain imaging related software. This includes
 Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
 the NIfTI format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

FSLMAJORVERSION = 5.0

# enable exented globbing in the shell to be able to use more
# sophisticated stuff in dh_install files
SHELL := /bin/bash -O extglob

# get octave paths (have to build-depend on octave-headers)
include /usr/share/octave/debian/defs.make

# This has to be exported to make some magic below work.
export DH_OPTIONS

# specify all FSL projects that shall be built
PROJECTS = \
  utils fslio miscmaths newimage libvis first_lib meshclass fslvtkio \
  misc_tcl basisfield warpfns bint shapeModel MVdisc fslsurface libmeshutils \
  avwutils basil bet2 cluster fast4 feat5 film filmbabe flirt fabber baycest \
  fslvbm mcflirt melodic misc_c miscvis mm gps randomise siena slicetimer susan \
  tbss fnirt fugue asl_mfree misc_scripts fdt first possum sgeutils flameo \
  oxford_asl qboot topup ptx2 lesions eddy

# specify FSL extras to be built
EXTRAS = libprob libcprob cprob

# set essential config vars for FSL build process
FSLDIR=$(CURDIR)
FSLCONFDIR=$(FSLDIR)/config

# apply to FSL as 'ARCHLDFLAGS'
# 'as-needed' kills everything -- symbols of C libs get confused
# and results change -- remember cprob:gamma()
#LDFLAGS = -Wl,--no-undefined -Wl,--as-needed -L/usr/lib/fsl/lib
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) \
         -Wl,--no-undefined -L/usr/lib/fsl/lib
# default compiler flags
# apply to FSL as 'ANSI_FLAGS'
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) \
        $(shell dpkg-buildflags --get CPPFLAGS) \
        -DHAVE_LIBFREETYPE -fPIC \
        -I/usr/include/nifti \
        -I/usr/include/gifti \
        -I/usr/include/newmat \
        -I$(FSLDIR)/extras/src/libprob -I$(FSLDIR)/extras/src/libcprob \
        -I$(FSLDIR)/src

# where are the internal libs
FSL_LIBRARY_PATH=$(CURDIR)/lib

# install into this directory
DEB_DESTDIR=$(CURDIR)/debian/tmp

# don't compile GPU
COMPILE_GPU:=0

# define common environment setup for all make calls
# complicated LD_LIBRARY expression ensures that no
# trailing colon ends up in LD_LIBRARY_PATH
DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
		FSLDIR="$(FSLDIR)" \
		FSLDEVDIR="$(FSLDIR)" \
		FSLCONFDIR="$(FSLCONFDIR)" \
		DEB_DESTDIR="$(DEB_DESTDIR)" \
		OPTFLAGS="$(OPTFLAGS)" \
		ANSI_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
		DEPENDFLAGS="$(CFLAGS)" \
		ARCHLDFLAGS="$(LDFLAGS)" \
		COMPILE_GPU="$(COMPILE_GPU)" \
		CUDA="/usr"

controlfiles:
	# inject current FSL major version into all templates
	for f in debian/templates/*; do \
		sed -e "s/#FSLMVERSION#/$(FSLMAJORVERSION)/g" $$f \
			> debian/$$(basename $$f) ; \
	done
	# renamed files that need to have a version-specific name
	for suffix in 1 desktop dirs install links lintian-overrides manpages menu docs; do \
		for prefix in 'core' 'gpu'; do \
		[ -f debian/fsl-$$prefix.$$suffix ] &&  \
			mv debian/fsl-$$prefix.$$suffix debian/fsl-$(FSLMAJORVERSION)-$$prefix.$$suffix || true ; \
		done ; \
	done
	# and rename the meta-package files
	for f in debian/meta.*; do \
		target=$$(basename $$f); suffix=$${target#*.} ; \
		mv $$f debian/fsl-core.$$suffix; \
	done

cleancontrolfiles:
	# clean sed'ed files and intermediate rubbish
	for f in debian/templates/*; do\
		rm -f debian/$$(basename $$f) ; \
	done
	rm -f debian/fsl-core.preinst
	# versioned files
	rm -f debian/fsl-$(FSLMAJORVERSION)-{core,gpu}.{1,desktop,dirs,install,links,lintian-overrides,manpages,menu,preinst,docs}

# build and install extra
biextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* install

# cleanup extra
cextra-%:
	$(DEB_BUILD_ENV) $(MAKE) -C extras/src/$* distclean

# build and install sub-project
biproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$*
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* install

# cleanup sub-project
cproj-%:
	$(DEB_BUILD_ENV) $(MAKE) -C src/$* distclean

# build and install all extras
biextras: $(EXTRAS:%=biextra-%)

# clean all extras
cextras: $(EXTRAS:%=cextra-%)
	find extras/src -name '*.o' -delete


instdir:
# FSL does not separate build and install properly
# create temporary install dir now
	if [ ! -d $(DEB_DESTDIR) ]; then mkdir -p $(DEB_DESTDIR); fi
	dh_installdirs

# build and install all sub-projects
biprojs: $(PROJECTS:%=biproj-%)

# cleanup all sub-projects
cprojs: $(PROJECTS:%=cproj-%)


#Architecture
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: instdir biextras biprojs
	dh_testdir

	# fix permissions
	find debian/tmp/tcl/BWidget -type f -exec chmod -x {} \;
	chmod 644 debian/tmp/tcl/*.{tcl,xbm,ppm,ico}
	chmod -x debian/tmp/etc/flirtsch/*

	# cleanup TCL stuff
	rm -r debian/tmp/tcl/BWidget/BWMan/
	find debian/tmp/tcl/BWidget/ -name '*.txt' -delete

	# generate debhelper file to create /usr/bin symlinks and manpage links
	# for all relevant binaries installed by the versioned FSL package
	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl | sort); do \
		bname=$$(basename $$f); \
		[[ "$$bname" = *gpu* ]] && ptype="gpu" || ptype="core" ; \
		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
	done
	touch $@


clean: cleancontrolfiles controlfiles cextras cprojs
	dh_testdir
	dh_testroot

	# remove leftovers
	find $(CURDIR) -name '*.so' -delete
	-rm src/fdt/{xfibres,fdt_matrix_ops,indexer,replacevols,probtrackx,reord_OM,sausages,probtrack_old,xfibres_pred,rearrange}
	-rm src/feat5/doc/{top.html,feat.tcl}
	-rm -r etc/standard lib

	# clean the remaining temp dir
	rm -rf include

	# finally clean package
	dh_clean

	# fix permissions in the source
	find src/ -name '*.fig' -or -name '*.gif' -exec chmod -x {} \;

	-rm build-stamp


# checks that the included desktop files are ok
validate-desktop-files:
	for f in $(CURDIR)/debian/desktop/*.desktop; do \
		desktop-file-validate $${f} ; \
	done


install: build
	# make FSL logo for menu entries
	convert debian/tmp/tcl/fsl-logo-tiny.ppm \
		-resize x32 -crop 32x32+6+0 debian/tmp/fsl-$(FSLMAJORVERSION).xpm

	# install fsl config
	cp -r -t debian/tmp etc
	# clean useless pieces
	rm debian/tmp/etc/fslconf/fslmachtype.sh
	# do not install license files
	rm debian/tmp/etc/js/LICENSE.txt



# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installman
	dh_installdocs
	dh_installmenu
	# fixup duplicate GPU tools
	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*gpu*
	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*cuda*
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# dh_shlibdeps needs access to the private libs
	dh_shlibdeps -l $(FSL_LIBRARY_PATH)
	# get the correct dependency for older octave
	[ -e /usr/bin/octave-depends ] \
        && octave-depends || true
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independent packages using the common target.
binary-indep: install
	dh_installdirs -i

	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common


# Build architecture dependant packages using the common target.
binary-arch: install
	dh_installdirs -a

	# install the stylesheet
	cp -r doc/fsl.css debian/fsl-$(FSLMAJORVERSION)-core/usr/share/fsl/$(FSLMAJORVERSION)/doc

	# remove previous link to make repeated builds work
	-rm debian/fsl-$(FSLMAJORVERSION)-core/usr/share/fsl/$(FSLMAJORVERSION)/etc/fslconf/{feat.tcl,fsl.sh}

	# set execute permission for GUI application wrapper
	chmod +x debian/fsl_app_wrapper

	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common


binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary

## fsl 5.0.8

=== config/Makefile ===

FSLCONFDIR=.

include default.mk

PROJNAME = config

install:
	@${MAKE} "DESTDIR=${FSLDEVDIR}" install-general

install-fmrib:
	@${MAKE} "DESTDIR=${FSLDIR}" install-general

install-general:
	${CP} -R -f . ${DESTDIR}/config
	${RM} -rf ${DESTDIR}/config/CVS ${DESTDIR}/config/*/CVS

=== src/asl_mfree/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = asl_mfree

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}

LIBS = -lutils -lnewimage -lmiscmaths -lm -lnewmat -lfslio -lniftiio -lprob -lznz -lz

XFILES = asl_mfree

OBJS = readoptions.o asl_mfree_functions.o

all:	${XFILES}

asl_mfree: ${OBJS} asl_mfree.o 
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} asl_mfree.o ${LIBS}

=== src/avwutils/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
          fslpspec fslroi fslnvols fsl2ascii fslascii2img  \
          fslsplit fslcc fslinterleave \
          fslhd fslcpgeom fslcreatehd fslcorrecthd fslmaths \
-         fslcomplex fslfft fslmeants fslslice fslswapdim_exe fslchfiletype_exe calc_grad_perc_dev fslsmoothfill
+         fslcomplex fslfft fslmeants fslslice fslswapdim_exe fslchfiletype_exe calc_grad_perc_dev fslsmoothfill fslselectvols
 
 SCRIPTS = fslval fslchpixdim fslanimate fslsize sliceanimate fslinfo fsledithd avw2fsl fslswapdim fslchfiletype fslreorient2std fslmodhd fsladd
 
@@ -102,3 +102,5 @@
 fslsmoothfill: fslsmoothfill.o
 	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslsmoothfill.o ${LIBS}
 
+fslselectvols: fslselectvols.o
+	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ fslselectvols.o ${LIBS}

=== src/basil/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = basil

SCRIPTS = basil basil_var

all:

=== src/basisfield/Makefile ===
#
# Makfile for objects in the BASISFIELD namespace
#

include ${FSLCONFDIR}/default.mk

PROJNAME = basisfield

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_BOOST} 
USRLDFLAGS = -L${LIB_NEWMAT} 

OBJS = dctfield.o splinefield.o basisfield.o splines.o

LIBS = -lnewimage -lmiscmaths -lutils -lfslio -lniftiio -lznz -lz -lnewmat -lprob -lm

all: libbasisfield.a

libbasisfield.a: ${OBJS}
	${AR} -r $@ ${OBJS}
	${RANLIB} libbasisfield.a

=== src/baycest/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = baycest

SCRIPTS = baycest

all:

=== src/bet2/Makefile ===
# $Id: Makefile,v 1.17 2012/04/04 16:57:21 mark Exp $
include ${FSLCONFDIR}/default.mk

PROJNAME = bet2

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_ZLIB} -I${INC_BOOST}

USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_ZLIB}


#LIBS=-lfslsurface_backcompat -lfslsurface -lfirst_lib -lfslvtkio -lgiftiio -lexpat -lmeshclass -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lutils -lz
LIBS=-lfirst_lib -lfslvtkio -lmeshclass -lnewimage -lmiscmaths -lfslio -lniftiio -lznz -lnewmat -lutils -lz

BETOBJS=bet2.o 
BETSURFOBJS=betsurf.o 
RFOVOBJS=robustfov.o

XFILES=bet2 betsurf robustfov

SCRIPTS = old_betall bet

RUNTCLS = Bet

all: ${XFILES}

bet2: ${BETOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${BETOBJS} ${LIBS} 

betsurf: ${BETSURFOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${BETSURFOBJS} ${LIBS} 

robustfov: ${RFOVOBJS} 
	${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RFOVOBJS} ${LIBS}

=== src/eddy/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME=eddy

USRCXXFLAGS=${PARALLELFLAGS}
USRINCFLAGS=-I${INC_NEWMAT} -I${INC_BOOST} 
USRLDFLAGS=-L${LIB_NEWMAT} -rdynamic ${PARALLELFLAGS}

OBJS=EddyCommandLineOptions.o ECModels.o ECScanClasses.o EddyUtils.o EddyHelperClasses.o DiffusionGP.o b0Predictor.o ../topup/topup_file_io.o ../topup/displacement_vector.o
LIBS=-lwarpfns -lmeshclass -lbasisfield -lnewimage -lmiscmaths -lprob -lfslio -lniftiio -lznz -lutils -lnewmat -lm -lz

XFILES=eddy test_bench

all: eddy

eddy: eddy.o ${OBJS}
	${CXX} ${LDFLAGS} -o $@ eddy.o ${OBJS} ${LIBS}

test_bench: test_bench.o ${OBJS}
	${CXX} ${LDFLAGS} -o $@ test_bench.o ${OBJS} ${LIBS}

=== src/fabber/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = fabber

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_BOOST} -D__OXASL
#USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_BOOST} -D__OXASL -D__FABBER_LIBRARYONLY
#USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_BOOST} -D__OXASL -D__FABBER_LIBRARYONLY -D__FABBER_LIBRARYONLY_TESTWITHNEWIMAGE
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB}

#LIBS = -lutils -lprob -lnewmat # Will report the MISCMATHS dependencies
#LIBS = -lutils -lmiscmaths -lprob -lnewmat -lfslio -lniftiio -lznz -lz 
LIBS = -lutils -lnewimage -lmiscmaths -lprob -lnewmat -lfslio -lniftiio -lznz -lz 

XFILES = fabber mvntool



OBJS = fwdmodel_custom.o fwdmodel_flobs.o tools.o fwdmodel_q2tips.o inference_spatialvb.o dataset.o inference_vb.o noisemodel.o noisemodel_white.o fwdmodel_quipss2.o fwdmodel_pcASL.o fwdmodel.o fwdmodel_simple.o fwdmodel_linear.o noisemodel_ar.o inference.o dist_mvn.o easylog.o easyoptions.o fwdmodel_asl_grase.o fwdmodel_asl_buxton.o inference_nlls.o fwdmodel_asl_pvc.o  fwdmodel_asl_satrecov.o fwdmodel_asl_quasar.o fwdmodel_cest.o

# For debugging:
OPTFLAGS = -ggdb
#OPTFLAGS =

all:	${XFILES}

fabber: ${OBJS} fabber.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} fabber.o ${LIBS}

mvntool: ${OBJS} mvntool.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} mvntool.o ${LIBS}

#fabber_library: $(OBJS}
	#${CXX}  ${CXXFLAGS} ${LDFLAGS} -D__FABBER_LIBRARYONLY -o $@ ${OBJS} fabber.o ${LIBS}
	#${CXX}  ${CXXFLAGS} ${LDFLAGS} -D__FABBER_LIBRARYONLY -o $@ ${OBJS} mvntool.o ${LIBS}

SCRIPTS = fabber_var

# DO NOT DELETE

=== src/fdt/Makefile ===
include $(FSLCONFDIR)/default.mk

ifeq ($(COMPILE_GPU), 1)
	COMPILE_WITH_GPU=libbedpostx_cuda.so merge_parts_gpu xfibres_gpu
	SCRIPTS_GPU=CUDA/bedpostx_gpu CUDA/bedpostx_postproc_gpu.sh
endif

PROJNAME = fdt

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_NEWRAN} -I${INC_CPROB} -I${INC_PROB} -I${INC_BOOST} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_NEWRAN} -L${LIB_CPROB} -L${LIB_PROB} -L${LIB_ZLIB}

DLIBS = -lwarpfns -lbasisfield -lmeshclass -lnewimage -lutils -lmiscmaths -lnewmat -lnewran -lfslio -lniftiio -lznz -lcprob -lprob -lm -lz

DTIFIT=dtifit
CCOPS=ccops
PTX=probtrackx
MED=medianfilter
ROM=reord_OM
SAUS=sausages
XFIBRES=xfibres
XFIBRES2=xfibres_2
RV=replacevols
MDV=make_dyadic_vectors
FMO=fdt_matrix_ops
INDEXER=indexer
TEST=testfile
VECREG=vecreg
KURTOSIS=kurtosis
SWAPDYADS=swap_dyadic_vectors
PVMFIT=pvmfit
DTIGEN=dtigen
RARNG=rearrange
XPRED=xfibres_pred
RUBIX=rubix
EDDYCOMBINE=eddy_combine
LIBBEDPOSTX_CUDA=libbedpostx_cuda.so
MERGE_PARTS_GPU=merge_parts_gpu
XFIBRES_GPU=xfibres_gpu

DTIFITOBJS=dtifit.o dtifitOptions.o diffmodels.o Bingham_Watson_approx.o
CCOPSOBJS=ccops.o ccopsOptions.o
PTXOBJS=probtrackx.o probtrackxOptions.o streamlines.o ptx_simple.o ptx_seedmask.o ptx_twomasks.o ptx_nmasks.o ptx_meshmask.o
MEDOBJS=medianfilter.o 
ROMOBJS=reord_OM.o
SAUSOBJS=sausages.o
XFIBOBJS=xfibres.o xfibresoptions.o diffmodels.o Bingham_Watson_approx.o 
XFIBOBJS2=xfibres_2.o xfibresoptions.o
RVOBJS=replacevols.o
MDVOBJS=make_dyadic_vectors.o
FMOOBJS=fdt_matrix_ops.o
INDEXEROBJS=indexer.o
TESTOBJS=testfile.o 
VECREGOBJS=vecreg.o
KURTOSISOBJS=kurtosis.o dtifitOptions.o
SWAPDYADSOBJS=swap_dyadic_vectors.o
PVMFITOBJS=pvmfit.o pvmfitOptions.o diffmodels.o Bingham_Watson_approx.o
DTIGENOBJS=dtigen.o
RARNGOBJS=rearrange.o
XPREDOBJS=xfibres_pred.o
RUBIXOBJS=rubix.o diffmodels.o rubixvox.o rubixoptions.o Bingham_Watson_approx.o
EDDYCOMBINEOBJS=eddy_combine.o
MERGE_PARTS_GPUOBJS=merge_parts_gpu.o xfibresoptions.o
XFIBRES_GPUOBJS=xfibres_gpu.o xfibresoptions.o diffmodels.o Bingham_Watson_approx.o

SGEBEDPOST = bedpost 
SGEBEDPOSTX = bedpostx bedpostx_postproc.sh bedpostx_preproc.sh bedpostx_single_slice.sh bedpostx_datacheck

SCRIPTS = eddy_correct zeropad maskdyads probtrack fdt_rotate_bvecs ${SGEBEDPOST} ${SGEBEDPOSTX} ${SCRIPTS_GPU}
FSCRIPTS = correct_and_average ocmr_preproc

XFILES = dtifit ccops medianfilter make_dyadic_vectors vecreg xfibres probtrackx pvmfit dtigen eddy_combine ${COMPILE_WITH_GPU}

FXFILES = reord_OM sausages replacevols fdt_matrix_ops indexer rearrange xfibres_pred 


RUNTCLS = Fdt

all: ${XFILES} ${FXFILES} 

${PTX}:		   ${PTXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTXOBJS} ${DLIBS}

${PT}:		   ${PTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PTOBJS} ${DLIBS} 

${FTB}:    	${FTBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FTBOBJS} ${DLIBS} 

${PJ}:    	${PJOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PJOBJS} ${DLIBS} 

${MED}:    	${MEDOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MEDOBJS} ${DLIBS} 

${DTIFIT}:    	${DTIFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIFITOBJS} ${DLIBS}

${CCOPS}:    	${CCOPSOBJS}	
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${CCOPSOBJS} ${DLIBS}

${ROM}:    	${ROMOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${ROMOBJS} ${DLIBS}

${SAUS}:    	${SAUSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SAUSOBJS} ${DLIBS}

${XFIBRES}:    	${XFIBOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS} ${DLIBS}

${XFIBRES2}:    	${XFIBOBJS2}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBOBJS2} ${DLIBS}

${RV}:    	${RVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RVOBJS} ${DLIBS}

${MDV}:    	${MDVOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MDVOBJS} ${DLIBS}

${FMO}:    	${FMOOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${FMOOBJS} ${DLIBS}

${INDEXER}:    	${INDEXEROBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${INDEXEROBJS} ${DLIBS}

${TEST}:    	${TESTOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${TESTOBJS} ${DLIBS}

${VECREG}:    	${VECREGOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${VECREGOBJS} ${DLIBS}


${KURTOSIS}:   ${KURTOSISOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${KURTOSISOBJS} ${DLIBS}

${SWAPDYADS}: ${SWAPDYADSOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${SWAPDYADSOBJS} ${DLIBS}

${PVMFIT}:    	${PVMFITOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${PVMFITOBJS} ${DLIBS}

${DTIGEN}:    	${DTIGENOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${DTIGENOBJS} ${DLIBS}

${RARNG}: 	${RARNGOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RARNGOBJS} ${DLIBS}

${XPRED}: 	${XPREDOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XPREDOBJS} ${DLIBS}

${RUBIX}: 	${RUBIXOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${RUBIXOBJS} ${DLIBS}

${EDDYCOMBINE}: ${EDDYCOMBINEOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${EDDYCOMBINEOBJS} ${DLIBS}

${LIBBEDPOSTX_CUDA}: 
		${CUDA}/bin/nvcc --shared --compiler-options '-fPIC' -o CUDA/libbedpostx_cuda.so CUDA/init_gpu.cu CUDA/samples.cu CUDA/diffmodels.cu CUDA/runmcmc.cu  CUDA/xfibres_gpu.cu -O3  -gencode=arch=compute_20,code=\"sm_20,compute_20\" -gencode=arch=compute_35,code=\"sm_35,compute_35\"  -lcudart -lcuda -lcurand -I. -L${CUDA}/lib64 -L${CUDA}/lib -ICUDA/options -I${CUDA}/include/thrust -I${FSLDIR}/extras/include/newmat -I${FSLDIR}/include -I${FSLDIR}/extras/include/boost -maxrregcount=64
		@if [ ! -d ${FSLDEVDIR}/lib/ ] ; then ${MKDIR} ${FSLDEVDIR}/lib ; fi
		${CP} -rf CUDA/libbedpostx_cuda.so ${FSLDEVDIR}/lib

${MERGE_PARTS_GPU}: ${MERGE_PARTS_GPUOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${MERGE_PARTS_GPUOBJS} ${DLIBS}

${XFIBRES_GPU}: ${XFIBRES_GPUOBJS}
		   ${CXX} ${CXXFLAGS} ${LDFLAGS} -o $@ ${XFIBRES_GPUOBJS} ${DLIBS} -lcudart -lcuda -lcurand -lbedpostx_cuda -LCUDA -L${CUDA}/lib64 -L${CUDA}/lib

=== src/feat5/Makefile ===
include $(FSLCONFDIR)/default.mk

PROJNAME = feat5

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB} -I${INC_GD} -I${INC_GDC} -I${INC_PNG} 
USRLDFLAGS =  -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB} -L${LIB_GD} -L${LIB_GDC} -L${LIB_PNG}

IOLIBS = -lfslio -lniftiio -lznz
LIBS = -lnewimage -lmiscplot -lmiscpic -lmiscmaths -lprob -lnewmat -lutils $(IOLIBS) -lm -lz  -lgdc -lgd -lpng

XFILES = cutoffcalc feat_model tsplot prewhiten generateConfounds popp pnm_evs

RUNTCLS = Feat Renderhighres Featquery Glm Pnm

SCRIPTS = easythresh feat mccutup renderhighres featregapply featquery fslerrorreport invfeatreg updatefeatreg estnoise perfusion_subtract match_smoothing fsl_motion_outliers feat_gm_prepare mp_diffpow.sh pnm_stage1 mainfeatreg checkFEAT setFEAT autoaq

all: ${XFILES} defaultfiles

defaultfiles:
	@if [ ! -d ${DESTDIR}/etc ] ; then ${MKDIR} ${DESTDIR}/etc ; ${CHMOD} g+w ${DESTDIR}/etc ; fi
	${CP} -rf default_flobs.flobs ${DESTDIR}/etc
	@if [ ! -d ${DESTDIR}/etc/fslconf ] ; then ${MKDIR} ${DESTDIR}/etc/fslconf ; ${CHMOD} g+w ${DESTDIR}/etc/fslconf ; fi
	${CP} -f featconf ${DESTDIR}/etc/fslconf/feat.tcl

featlib.o: featlib.cc featlib.h
	$(CXX) $(CXXFLAGS) -c -o featlib.o featlib.cc

generateConfounds: generateConfounds.cc
	$(CXX) $(CXXFLAGS) -o generateConfounds generateConfounds.cc $(LDFLAGS) $(LIBS)

tsplot: tsplot.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o tsplot featlib.o tsplot.cc $(LDFLAGS) $(LIBS)

prewhiten: prewhiten.cc featlib.o featlib.h
	$(CXX) $(CXXFLAGS) -o prewhiten featlib.o prewhiten.cc $(LDFLAGS) $(LIBS)

cutoffcalc: cutoffcalc.cc 
	$(CXX) $(CXXFLAGS) -o cutoffcalc cutoffcalc.cc $(LDFLAGS) $(LIBS)

feat_model: feat_model.cc featlib.o
	$(CXX) $(CXXFLAGS) -o feat_model featlib.o feat_model.cc $(LDFLAGS) $(LIBS)

pnm_evs: pnm_evs.cc 
	$(CXX) $(CXXFLAGS) -o pnm_evs pnm_evs.cc $(LDFLAGS) $(LIBS)

popp: popp.cc 
	$(CXX) $(CXXFLAGS) -o popp popp.cc $(LDFLAGS) $(LIBS)

=== src/film/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = film

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

LIBS = -lfslsurface -lfslvtkio -lmeshclass  -lfirst_lib -lnewimage -lmiscmaths -lutils -lm -lnewmat -lgiftiio -lfslio -lniftiio -lznz -lprob -lz -lexpat

XFILES = film_gls contrast_mgr ttoz ftoz ttologp

OBJS =  ContrastMgrOptions.o ContrastMgr.o gaussComparer.o AutoCorrEstimator.o glm.o paradigm.o FilmOlsOptions.o FilmGlsOptionsRes.o FilmGlsOptions.o glimGls.o

all:	${XFILES}

contrast_mgr:${OBJS} contrast_mgr.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} contrast_mgr.o ${LIBS}

ttoz:${OBJS} ttoz.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ttoz.o ${LIBS}

ttologp:${OBJS} ttologp.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ttologp.o ${LIBS}

ftoz:${OBJS} ftoz.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} ftoz.o ${LIBS}

film_gls:${OBJS} film_gls.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} film_gls.o ${LIBS} -l giftiio

film_gls_res:${OBJS} film_gls_res.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} film_gls_res.o ${LIBS}

quick:${OBJS} quick.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} quick.o ${LIBS}

testSmooth:testSmooth.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ testSmooth.o ${LIBS} -lgiftiio

=== debian/changelog ===
fsl (5.0.8-6ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:22:55 +0100

fsl (5.0.8-6ubuntu1) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 17:04:28 +0100

fsl (5.0.8-6build1) focal; urgency=medium

  * Rebuild against new liboctave7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Nov 2019 20:35:42 +0100

fsl (5.0.8-6) unstable; urgency=medium

  * Team upload.

  [ Yaroslav Halchenko ]
  * Add 'file' to Depends of fsl-5.0-core. Required by fslFixText utility
  * debian/fsl.sh - place FSL's bin path first (not the last) within adjusted
    $PATH (Closes: #804881)
  * debian/patches/up_in_compar to fix FTBFS of melodic on 17.04
    Closes: #837361

  [ Michael Hanke ]
  * Move 'fslview' from a dependency into suggests. It can no longer be
    built in Debian unstable.
    Closes: #864178

  [ Andreas Tille ]
  * Replace watch line pointing to alioth which does not exist any more
    by fake watch file
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Fix call of overloaded 'round(float)' is ambiguous
  * Silence lintian about false positive spelling
  * fsl-5.0-core Depends: sensible-utils
  * Drop Encoding key from desktop file
  * Drop Debian menu file (since there is a desktop file)
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 16:42:15 +0100

fsl (5.0.8-5) unstable; urgency=medium

  * Disable unecessary unportable debugging code that breaks on kfreebsd.

 -- Michael Hanke <mih@debian.org>  Fri, 21 Aug 2015 11:43:25 +0200

fsl (5.0.8-4) unstable; urgency=medium

  * Remove versioned dependencies on transitional packages libgd2-(no)xpm-dev
    in favor of a dependency on libgd-dev (Closes: #792291). Thanks to
    Mattia Rizzolo for the report.
  * Add patch to force FSL to use its own modified version of the BWidget
    TCL package. This prevents incompatibility issues if a system-wide
    BWidget installation is found (Closes: #792758). The "fix" forces a
    version requirement on BWidget 1.8 (matches embedded version,
    Debian has 1.9.x as of now). This is not ideal, but a minimally intrusive
    change that achieves the desired behavior. Thanks to Vincent Kersten
    for the report.
  * Move upstream meta data to debian/upstream/metadata.
  * Drop embeded excanvas javascript library in favor of a dependency on
    libjs-excanvas.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Aug 2015 11:30:18 +0100

fsl (5.0.8-3) UNRELEASED; urgency=medium

  * fsl_app_wrapper - wrap $@ into "" to pass arguments correctly into
    original utility

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Mar 2015 08:44:03 -0500

fsl (5.0.8-2) experimental; urgency=medium

  * Include upstream patch to prevent a crash in the FEAT component.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Jan 2015 19:11:28 +0100

fsl (5.0.8-1) unstable; urgency=medium

  * New upstream release.
    - New command 'fslselectvols' to select a (non-contiguous) subset of
      volumes from a 4D image.
    - New '-kernel boxv3' option for fslmaths.
    - New '--minextent' option for cluster.
    - Bugfix for header information of topup output files.
    - FEAT has improved handling of non-fatal error conditions.
    - Bugfix for asl_calib script.
    - Bugfix for missing images in the VIENA report.
    - All FSL scripts now internally set their locale to C.
    - A potential race condition with multiple calls to maskdyads or slices has
      been corrected.
    - FDR now saves adjusted values as 1-p if the input is 1-p.
  * Refresh patches and remove one resolved bashism fix.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Dec 2014 10:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,36 @@
 Source: fsl
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>
 Section: non-free/science
+XS-Autobuild: yes
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7),
-               zlib1g-dev (>= 1.2.2),
-               libboost-dev (>= 1.32.0),
-               libpng-dev | libpng12-dev (>= 1.2.8rel),
-               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               libboost-dev,
+               libpng-dev,
+               libgd-dev,
                libnewmat10-dev,
                libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
                liboctave-dev | octave3.2-headers | octave3.0-headers,
-               tcl (>=8.4.7),
+               tcl,
                imagemagick,
-               libnifti-dev (>> 1.1.0-1),
+               libnifti-dev,
                libgiftiio-dev,
                mesa-common-dev,
                libexpat1-dev | libexpat-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgomp1,
-Standards-Version: 3.9.5
+               libgomp1
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/fsl
+Vcs-Git: https://salsa.debian.org/neurodebian-team/fsl.git
 Homepage: http://www.fmrib.ox.ac.uk/fsl/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
-XS-Autobuild: yes
 
 Package: fsl
 Architecture: all
+Section: non-free/oldlibs
 Depends: fsl-core,
-         ${misc:Depends},
-Section: non-free/oldlibs
+         ${misc:Depends}
 Description: transitional dummy package
  The only purpose of this package is to enable upgrades to the new 'fsl-core'
  package which replaces 'fsl'. This package can safely be removed.
@@ -40,9 +41,9 @@
 
 Package: fsl-5.0
 Architecture: all
+Section: non-free/oldlibs
 Depends: fsl-5.0-core,
          ${misc:Depends}
-Section: non-free/oldlibs
 Description: transitional dummy package
  The only purpose of this package is to enable upgrades to the new
  'fsl-5.0-core' package which replaces 'fsl-5.0'.
@@ -54,10 +55,10 @@
 
 Package: fsl-core
 Architecture: all
-Depends:  fsl-5.0-core,
-          ${misc:Depends},
+Depends: fsl-5.0-core,
+         ${misc:Depends}
+Breaks: fsl (<< 5.0.3)
 Replaces: fsl (<< 5.0.3)
-Breaks: fsl (<< 5.0.3)
 Description: metapackage for the latest version of FSL
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various
@@ -77,28 +78,29 @@
 
 Package: fsl-5.0-core
 Architecture: any
-Replaces: fsl-5.0 (<< 5.0.3)
-Breaks: fsl-5.0 (<< 5.0.3)
 Depends: mozilla-firefox | www-browser,
+         file,
          tcsh | c-shell,
-         tk (>=8.4.7),
-         tcl (>=8.4.7),
+         tk,
+         tcl,
          bc,
          dc,
-         python,
-         fslview,
+         python2,
+         libjs-excanvas,
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         sensible-utils
 Recommends: fsl-atlases
 Suggests: fsl-feeds,
           fsl-5.0-gpu,
           octave | ${octave:Depends},
           mriconvert | dicomnifti,
           fsl-complete,
-          condor | gridengine-client
-Conflicts: fsl-fslview,
-           fsl-doc-4.1 (<< 4.1.9-5~)
+          condor | gridengine-client,
+          fslview
+Conflicts: fsl-fslview
 Provides: fsl
+Replaces: fsl-5.0 (<< 5.0.3)
 Description: analysis tools for FMRI, MRI and DTI brain imaging
  FSL is a comprehensive library of image analysis and statistical tools
  for fMRI, MRI and DTI brain imaging data. The suite consists of various

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

#http://pkg-exppsy.alioth.debian.org/watchhelper/fsl.html \
#	.*fsl-(.*)-sources\.tar\.gz
